Microsimulation API

Public Member Functions | Public Attributes | List of all members
ssim::Action Struct Reference
Collaboration diagram for ssim::Action:
[legend]

## Public Member Functions
| Action (Time t, ActionType at, ProcessId p, const Event *e=0) throw ()
bool | operator< (const Action &a) const throw ()
| Action (Time t, ActionType at, ProcessId p, const Event *e=0) throw ()
bool | operator< (const Action &a) const throw ()

## Public Attributes
Time | time
ActionType | type
ProcessId | pid
const Event * | event

## Detailed Description

Definition at line 51 of file ssim.cc.

## Constructor & Destructor Documentation

## ◆ Action() [1/2]

ssim::Action::Action | ( | Time | t,
|  | ActionType | at,
|  | ProcessId | p,
|  | const Event * | e = `0`
| ) |  |
throw | ( |
| ) |  |
| inline

Definition at line 57 of file ssim.cc.

## ◆ Action() [2/2]

ssim::Action::Action | ( | Time | t,
|  | ActionType | at,
|  | ProcessId | p,
|  | const Event * | e = `0`
| ) |  |
throw | ( |
| ) |  |
| inline

Definition at line 57 of file ssim.cc.

## Member Function Documentation

## ◆ operator<() [1/2]

bool ssim::Action::operator< | ( | const Action & | a | ) | const
throw | ( |
| ) |  |
| inline

Definition at line 60 of file ssim.cc.

## ◆ operator<() [2/2]

bool ssim::Action::operator< | ( | const Action & | a | ) | const
throw | ( |
| ) |  |
| inline

Definition at line 60 of file ssim.cc.

## Member Data Documentation

## ◆ event

const Event * ssim::Action::event

Definition at line 55 of file ssim.cc.

## ◆ pid

ProcessId ssim::Action::pid

Definition at line 54 of file ssim.cc.

## ◆ time

Time ssim::Action::time

Definition at line 52 of file ssim.cc.

## ◆ type

ActionType ssim::Action::type

Definition at line 53 of file ssim.cc.

The documentation for this struct was generated from the following file:

- /home/marcle/src/R/microsimulation/src/ssim.cc